<?php

namespace DefStudio\GameEngine\Models\Contracts;

use DefStudio\GameEngine\Models\Award;
use Illuminate\Database\Eloquent\Collection;
use Illuminate\Database\Eloquent\Relations\MorphMany;

/**
 * @property-read Collection<int, Award> $awards
 */
interface AwardsDefiner
{
    public function awards(): MorphMany;

    public function award_scope_label(): string;
}
